For the complete documentation index, see llms.txt. This page is also available as Markdown.

Class Action Outcome

Filter cases by class action outcome

Filter by class action outcome ID (integer).

GET https://clearinghouse.net/api/v2/case?class_action_granted=class_action_outcome_id

Query Parameters

Name
Type
Description

relief_source_id*

integer

Relief source ID (see list below for list of integers and its mapped values)

Headers

Name
Type
Description

Authorization*

String

Authorization

Token XXXXXXXXXXX

where

XXXXXXXXXXX

is the token string

\\ Examples of:
\\ No results, key not found, or invalid parameter

\\ No results
\\ Example query endpoint: /api/v2/cases/?case_id=1&case_ongoing=1
["No results for {'case_id': '1', 'case_ongoing': '1'}"]

\\ Key not found
\\ Example query endpoint: /api/v2/cases?test_key=1
["API Error: Key: test_key, Value: 1 not found."]

\\ Example query endpoint: /api/v2/cases/?case_id=xyz
["API Error: zxy is not an integer."]
{
    "detail":"Authentication credentials were not provided."
}

Supported class action sought IDs (class_action_outcome_id):

5014
Denied

5012

Granted

5016

Mooted before ruling

5013

Pending

5015

Unknown

5011

Not sought

38575

Withdrawn

For more about class action outcomes, see class_action_granted.

Example

https://clearinghouse.net/api/v2/case?class_action_granted=5014
import requests

url = "https://clearinghouse.net/api/v2/case?class_action_granted=5014"
headers = { 'Authorization': 'Token XXXXXXXXXX',
'User-Agent': 'Chrome v22.2 Linux Ubuntu'
}
response = requests.request("GET", url, headers=headers, data={})

print(response.text)

Last updated